CorelDRAW Graphics Suite X6 :: Remove Bottom Half Of Circle Below Intersection Line
Aug 13, 2012
I am desperately looking for the function in Coreldraw that allows me to cut one object based on the intersection of another object. Essentially I am looking for the "Trim" function that exists in Autocad.
Example... draw a circle...then draw a line that crosses the center of the circle. I want to be able to remove the bottom half of the circle below the intersection line.
draw and long narrow ellipse...then draw a circle on top of the ellipse I want to remove the ends of the ellipse outside circle..In autocad this takes exactly 3 keystrokes and less than 2 seconds...I have tried everything in Coreldraw and cannot find away to make this happen...
I am making an adjustment to my "LOGO" for business. I am trying to recolor the bottom half of a circle, that has a thick border, split in half by TWO colors.
When I enlarge picture to 2400%< i see all kinds of "shades" of colors that line be more "Definitive" ..I am guessing?
When i try changing the color fron a "TAN" color to a "DARK RED" , then Zoom out, the lines are VERY CHOPPY and "SQUARED".
QUESTION:
Is there a way to create a PERFECT LINES on a circle, by using a specific tool, or i have to do a lot guessing and do "FILL-IN" colors to get the line more definitive?
how to make a circle split in half with the top half black and the bottom white. I've made a circle with a 37 pt black stroke, now I just need to make half of it white.
I've just installed an HP5000N printer on a Windows 7 Network. I'm printing from CORELDRAW X3. (Same problem exists when using X5) I'm using the HP UNIVERSAL print driver. (I have both PCL & Postscript versions installed.)
I'm trying to use the ADVANCED Settings - which require POSTSCRIPT - with no success from either driver. I can SEE the dialog for changing LINE SCREEN, it allows me to change line screen (i.e. 35 lpi) and Screen angle (i.e. 45 degrees) - but when I PRINT - it give me the default printer screen of 100+ lpi.
I have also run the windows wizard and let WINDOWS search for a driver. It selected the HP5000 PCL 6 driver. This driver does NOT support the TABLOID (11x17) nor does it solve the no postscript functionality.
Getting an HP5000N to print different line screens from X3, or X5 running on W7 platform?
Back in x3 and earlier versions, bottom of workspace, you had a option for Object Details and Object Information it would display the font used & Size used if you made a rectangle it would give it's sizes h & w
How do I get this set back up in x5, running win7 64 bit.
I have been printing half tones for quite some years now with no troubles, all of a sudden my post script printer wont print half tones, I must have changed an option somewhere, and dont know what I did whether I have changed something in corel or on the printer itself but I dont think it is the printer .
I have Corel 15. I want to take a picture and make it gradually go transparent from the middle of the picture to the top (using Photo Paint I guess), you know the thing with the checkerboard squares. Then I will put it in Draw and overlay some text across the top area where it has gradually gone transparent.
I do not want a sharp line between regular and transparent as if I cut a hole in the background and deleted the hole part. I want a gradual fade sort of transparency for the entire image. I have searched the internet for how to do this even using using Photoshop and there are not instructions available.
When a new page or document is created, by default the zero point is set at the bottom left of the page. Is there a way to set it to another point like top left so that all new documents open with it set that way. (top left)
When I draw a perfect circle with the tablet, I get an ellipse on the screen, but when if I draw a perfect circle with the circle tool, I get a perfect circle on screen.I hand draw the circle with a round frame, so I'M sure my "handmade" circle is perfect.
Distortion is not very hard, but this mismatch makes sketching harder and I'M not so skilful. I have this problem on both photopaint and Draw x5I. Is there some way or setting on Draw X5 ( and photo paint) to set the tablet and Draw X5 together so I will get what I draw when I sketch ?
I want to add a Tex inside a Circle and I want the text to take the "shape" of the circle. What I mean is that I want the text to bend and fit on the circle.
Is this possible? Basically, I have a few hundred photos (in RAW format) that I wish to mask then cut/paste on top on another layer in Draw; however, they are all circular and all would be the same size give or take a few hundreds of an inch. This is not a very easy thing to do by eye with the circle mask tool in PhotoPaint.
Perhaps there is another way to do without, masking from PhotoPaint, but I can't think of it.
I would like to add a white highlight to the eye of one of my images like the one in this image......so that it is white in the middle then gently fades to black without having a line around the edge. Been trying to do it but can't get the same effect.
Using the code from "MakeMeACircle" macro. How can I modify it to "InserCircle"? I have it working now but only if the shape is square and aligned to the bottom left of the page. If I move the square anywhere else and run the macro the "Ellipse" is created outside the square and is "squished" instead of a perfect circle.
Who knows maybe there's a macro that already exists to insert a circle inside any shape?
Sub InsertCircle() Dim sr As New ShapeRange Dim x As Double, y As Double, w As Double, h As Double Dim dLeeway As Double ActiveDocument.Unit = cdrInch If ActiveSelection.Shapes.Count = 0 Then Exit Sub sr.Add ActiveSelection.Group sr(1).GetBoundingBox x, y, w, h 'adjust this property ####################################### dLeeway = 0# 'distance to sides 'adjust this property ####################################### sr.Add ActiveLayer.CreateEllipse(x - dLeeway, y - dLeeway, w + dLeeway * 2, h + dLeeway * 2) With sr(2): .OrderBackOne: .Fill.ApplyNoFill: End With sr.Shapes.All.Ungroup End Sub
I was looking for a post on the subject of line and circle intersections and found one that Bill Z had posted. I decided to incorperate one of the replies into my own code. In particular Luis Esquivel's code. With some minor modifications I was able to add the onseg argument that extends intersection points for the line to the circle. I also modified it to return only one point or two points depending on the line and circle supplied and the onseg argument. It seems to work great.
; test function (defun c:go ( / ) (ed_init) (while (or (not (setq ent (entsel " [code].....
I'm trying to graduate a circle precisely . An example such as a draftsman's compass or a clock face. I create a circle then I make a vertical line which then I copy , space them apart and create a blend between them. I then choose (new path) and select the circle, then (blend along full path) and finally (rotate all objects).
At a quick glance it looks proper but as in the case of a clock face (a graduation every 30 degrees) some of the lines are not precisely radiating from the center of the circle I'm using as the path. In the near future I plan on drawing" to scale' a certain number of meshing gears and this will cause problems.
I created a card with a colored panel and a white background. I then typed my name along the junction of the panel and background and as I typed the top half of the letters were the panel color and the bottom half of the letters was white.
is there a quick way to fill a circle/ellipse/polygon object with a bitmap image/ photo? I have a bunch of photos i would like to put into these objects and would like to have them filled/fitted into the objects and clipped by the outer extent. I guess a picture fill of some sort? Or a mask?
I'm laying out cribbage board designs for export to .dxf. I've drawn the board holes as circles but for the dxf file what I really need is a Single Point at the center of each circle.
So, is it possible to make single points in CorelDraw X4? If so, is there a way I can put a single point in the center of 300 holes at once?
how to mirror about a line, but the line was outside the object.
I now have a need to mirror about a line but the line is partially inside the object (so after mirroring the object would be overlapped). When I select both objects and try to create the mirror, the "axis" of the reflection is simply the edge of the object, not the line.
When the line was outside, that worked simply because when you selected both objects the line brought the outside of both selected objects to that point so it simply mirrored / reflected at that point (the line). So the line was not truly acting as a point of reflection. Hope that made sense.
I think I'm about to buy Cadtools from Macromonster but I would like to know if Draw has a way of acheiving this. Hey I may find out Cadtools can't reflect when the line is inside the object.
I would like to add the effect of hand stitched thread around some of my designs. The line tool can change a line to dashes but this is a bit too uniform for hand stitching. I have seen a tutorial on doing this in Photoshop where a brush is made with a few small different length strokes. this is then spaced out and made to follow a path. how to create a hand stitch effect using X5 that looks like natural hand stitching...